Skip to content
Last updated

Detect, refresh, and configure propagation of schema changes for a connection.

Get schema changes

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/schema-changes

List detected schema changes for a connection.

Path Parameters

connection_id string required

The connection ID.


Refresh schema

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/refresh-schema

Trigger schema discovery to detect new or changed fields and streams.


Update schema propagation

PATCHhttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/schema-propagation

Set how schema changes are handled automatically.

Request Body

propagation_strategy string required

One of: propagate_fully, propagate_columns, ignore, disable_connection.


Returns

A schema changes object containing a changes array and optional catalog_diff.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/conn_abc123/schema-changes" \
  -H "Authorization: Bearer $ACCESS_TOKEN"